package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.IndustrialAccidentRanking;
import com.lightinit.hsdatashow.entity.IndustrialAccidentRankingExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface IndustrialAccidentRankingMapper {
    long countByExample(IndustrialAccidentRankingExample example);

    int deleteByExample(IndustrialAccidentRankingExample example);

    int deleteByPrimaryKey(Long id);

    int insert(IndustrialAccidentRanking record);

    int insertSelective(IndustrialAccidentRanking record);

    List<IndustrialAccidentRanking> selectByExample(IndustrialAccidentRankingExample example);

    IndustrialAccidentRanking selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") IndustrialAccidentRanking record, @Param("example") IndustrialAccidentRankingExample example);

    int updateByExample(@Param("record") IndustrialAccidentRanking record, @Param("example") IndustrialAccidentRankingExample example);

    int updateByPrimaryKeySelective(IndustrialAccidentRanking record);

    int updateByPrimaryKey(IndustrialAccidentRanking record);

    List<ChartModel> getIndustrialAccidentRanking();
}